Skip to main content

Authorization Reversals


For National Payment Gateway, the authorization reversal is sometimes referred to as a pre-authorization void. National Payment Gateway supports full and partial reversals.

Reversing an authorization releases the hold on the customer's payment card funds that the issuing bank placed when processing the authorization.

For a debit card or prepaid card in which only a partial amount was approved, the amount of the reversal must be the amount that was authorized, not the amount that was requested.

For China UnionPay, use the authorization reversal service to reverse pre-authorizations.

All supported card types can process authorization reversals.

Supported Processors

Supported processors (34)

AIBMS, American Express Direct, Barclays, Cardnet, Chase Paymentech Solutions, China UnionPay, Cielo, Comercio Latino, Credit Mutuel-CIC, , eftpos, Elavon Americas, FDC Compass, FDC Nashville Global, FDI Australia, Getnet, GPN, GPX, HBOS, HSBC, JCN Gateway, Moneris, National Payment Gateway, OmniPay Direct, Lloyds-OmniPay, Prosa, PTT Tampa, Rede, SIX, Smart FDC, Streamline, TSYS Acquiring Solutions, Vero, Worldpay VAP

Supported processors (6)

Chase Paymentech Solutions, Elavon Americas, FDC Nashville Global, Streamline, , Worldpay VAP

Endpoints

POST /pts/v2/payments/{id}/reversals

POST /pts/v2/payments/{id}/reversals

POST /pts/v2/payments/{id}/reversals

POST /pts/v2/payments/{id}/reversals

The {id} is the transaction ID returned in the authorization response. For National Payment Gateway, the endpoint uses a separate base URL.

Example

{    "clientReferenceInformation": {        "code": "test123"    },    "reversalInformation": {        "amountDetails": {            "totalAmount": "100.00",            "currency": "USD"        }    }}
{    "_links": {        "self": {            "method": "GET",            "href": "/pts/v2/reversals/6869460219566537303955"        }    },    "clientReferenceInformation": {        "code": "RTS-Auth-Reversal"    },    "id": "6869460219566537303955",    "orderInformation": {        "amountDetails": {            "currency": "USD"        }    },    "processorInformation": {        "responseCode": "200"    },    "reconciliationId": "82kBK3qDNtls",    "reversalAmountDetails": {        "reversedAmount": "100.00",        "currency": "USD"    },    "status": "REVERSED",    "submitTimeUtc": "2023-06-16T20:07:02Z"}

National Payment Gateway Example

{    "reversalInformation": {        "amountDetails": {            "totalAmount": "100.00"        }    }}
{    "processorInformation": {        "paymentAccountReferenceNumber": "QHD47E209drPQ9yJD9ddnaFZuSUXu",        "approvalCode": "830SPG",        "retrievalReferenceNumber": "424009035280",        "responseCode": "00",        "settlementDate": "220915"    },    "reversalAmountDetails": {        "currency": "SAR",        "reversedAmount": "100.00"    },    "clientReferenceInformation": {        "code": "TC_SPG_REQUEST_PB-64"    },    "consumerAuthenticationInformation": {        "token": "7247516416161234567890"    },    "reconciliationId": "7247516248131234567890",    "status": "REVERSED",    "id": "7247516416161234567890",    "submitTimeUtc": "2024-08-27T09:40:42Z"}
FieldDescription
clientReferenceInformation.code—
reversalInformation.amountDetails.currency—
reversalInformation.amountDetails.totalAmountThe amount of the reversal must be the same as the authorization amount that was included in the authorization response message. Do not use the amount that was requested in the authorization request message.

Required fields

clientReferenceInformation.partner.thirdPartyCertificationNumber Required

provides the value for this field.

Last published: September 29, 2026